Package org.eclipse.ui.texteditor

## Interface ITextEditorExtension

All Known Implementing Classes:
  `AbstractDecoratedTextEditor`, `AbstractTextEditor`, `StatusTextEditor`, `TextEditor`

    public interface ITextEditorExtension

Extension interface for `ITextEditor`. Adds the following functions:

- status fields
- read-only state of the editor's input
- ruler context menu listeners.

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addRulerContextMenuListener​(IMenuListener listener)` Adds a ruler context menu listener to the editor.
`boolean` `isEditorInputReadOnly()` Returns whether the editor's input is read-only.
`void` `removeRulerContextMenuListener​(IMenuListener listener)` Removes a ruler context menu listener from the editor.
`void` `setStatusField​(IStatusField field, String category)` Informs the editor which status field is to be used when posting status information in the given category.

### Method Detail

#### setStatusField

    void setStatusField​(IStatusField field,
                        String category)

Informs the editor which status field is to be used when posting status information in the given category.

Parameters:
  `field` - the status field to be used
  `category` - the status information category
See Also:
  `ITextEditorActionConstants`

#### isEditorInputReadOnly

    boolean isEditorInputReadOnly()

Returns whether the editor's input is read-only. The semantics of this method is orthogonal to `isEditable` as it talks about the editor input, i.e. the domain element, and not about the editor document.

Returns:
  `true` if the editor input is read-only

#### addRulerContextMenuListener

    void addRulerContextMenuListener​(IMenuListener listener)

Adds a ruler context menu listener to the editor.

Parameters:
  `listener` - the listener

#### removeRulerContextMenuListener

    void removeRulerContextMenuListener​(IMenuListener listener)

Removes a ruler context menu listener from the editor.

Parameters:
  `listener` - the listener